summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2015-12-23 11:22:18 -0500
committerIan Stakenvicius <axs@gentoo.org>2015-12-23 15:55:49 -0500
commitfee93309cd45ab053182c9d5b59d0379d1eb95b7 (patch)
tree287051929c1bf6e7c6cad22fe337d5dd9daa1fe2 /eclass/mozconfig-v6.38.eclass
parentmail-client/thunderbird: clean up old/vulnerable versions (diff)
downloadgentoo-fee93309cd45ab053182c9d5b59d0379d1eb95b7.tar.gz
gentoo-fee93309cd45ab053182c9d5b59d0379d1eb95b7.tar.bz2
gentoo-fee93309cd45ab053182c9d5b59d0379d1eb95b7.zip
mozilla packages: migrate arm neon/softfp/hardfp config fixes to the eclass
The firefox ebuild received fixes for various arm configurations (neon, hardfp/softfp) but these fixes should also be applied to the other mozilla packages. This commit removes them from firefox and adds them to mozconfig.
Diffstat (limited to 'eclass/mozconfig-v6.38.eclass')
-rw-r--r--eclass/mozconfig-v6.38.eclass18
1 files changed, 17 insertions, 1 deletions
diff --git a/eclass/mozconfig-v6.38.eclass b/eclass/mozconfig-v6.38.eclass
index dc32140cb826..ecd4578c082c 100644
--- a/eclass/mozconfig-v6.38.eclass
+++ b/eclass/mozconfig-v6.38.eclass
@@ -45,7 +45,7 @@ esac
# Set the variable to any value if the use flag should exist but not be default-enabled.
# use-flags common among all mozilla ebuilds
-IUSE="${IUSE} dbus debug gstreamer gstreamer-0 +jemalloc3 pulseaudio selinux startup-notification system-cairo system-icu system-jpeg system-sqlite system-libvpx"
+IUSE="${IUSE} dbus debug gstreamer gstreamer-0 +jemalloc3 neon pulseaudio selinux startup-notification system-cairo system-icu system-jpeg system-sqlite system-libvpx"
# some notes on deps:
# gtk:2 minimum is technically 2.10 but gio support (enabled by default) needs 2.14
@@ -237,4 +237,20 @@ mozconfig_config() {
mozconfig_use_with system-icu
mozconfig_use_enable system-icu intl-api
mozconfig_use_with system-libvpx
+
+ # Modifications to better support ARM, bug 553364
+ if use neon ; then
+ mozconfig_annotate '' --with-fpu=neon
+ mozconfig_annotate '' --with-thumb=yes
+ mozconfig_annotate '' --with-thumb-interwork=no
+ fi
+ if [[ ${CHOST} == armv* ]] ; then
+ mozconfig_annotate '' --with-float-abi=hard
+ mozconfig_annotate '' --enable-skia
+
+ if ! use system-libvpx ; then
+ sed -i -e "s|softfp|hard|" \
+ "${S}"/media/libvpx/moz.build
+ fi
+ fi
}